--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 4, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 22, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 4, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 38, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 74, true);


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 130, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 16, true);


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 4, true);


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying(17) NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 15, true);


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying(17),
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(17) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 77, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 31, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40)
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 15, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 69, true);


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 31, true);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 8, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 54, true);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
3	3	{"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": true, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": true, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": true, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60}}, "access": {"metadata": {"weight": 10}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": true, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30}}, "vlan_splinters": {"vswitch": {"type": "radio", "values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 45, "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "toggleable": true, "weight": 40}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}, "keystone": {"admin_password": "Jv4nwJF0"}, "database": {"passwd": "PXAgSBuM"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt"}, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "rabbit_password": "eQ4ljiee"}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "rabbit_password": "blFhjrQV"}, "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl"}, "rabbit": {"password": "Zozd1nxy"}, "mysql": {"root_password": "2zELKemE"}, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "cobbler": {"profile": "centos-x86_64"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "swift": {"user_password": "4s08Cl50"}, "glance": {"db_password": "msX1ORcd", "user_password": "lFaEKXYw"}}
4	4	{"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": true, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": true, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": true, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60}}, "access": {"metadata": {"weight": 10}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30}}, "vlan_splinters": {"vswitch": {"type": "radio", "values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "value": "disabled", "weight": 45, "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "toggleable": true, "weight": 40}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "NOIggQNE"}, "keystone": {"admin_password": "D5oisHSM"}, "database": {"passwd": "wtp1f67P"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "ceilometer": {"db_password": "snUa5beQ", "user_password": "fp0Wo5xF", "metering_secret": "xv4IV8Ip"}, "murano": {"db_password": "UtfM8ULt", "user_password": "QTuxhwYJ", "rabbit_password": "Wo1tC8Ha"}, "nova": {"db_password": "PGJ7fRYB", "user_password": "YpBQ7cuv", "state_path": "/var/lib/nova"}, "heat": {"db_password": "8dEWgb7A", "user_password": "eOtFfBRm", "rabbit_password": "G0XbiQwj"}, "sahara": {"db_password": "9G5xEBtO", "user_password": "W2A8GvRE"}, "rabbit": {"password": "JgKHg5eJ"}, "mysql": {"root_password": "IFSLRNNO"}, "keystone": {"db_password": "ruK1p6Cx", "admin_token": "JDL0V9uG"}, "cobbler": {"profile": "centos-x86_64"}, "cinder": {"db_password": "WUa22xjy", "user_password": "opsbF0qC"}, "swift": {"user_password": "6jlZigka"}, "glance": {"db_password": "NUHEFHVf", "user_password": "CU4fXqw7"}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
11	3	\N	attributes
12	3	\N	networks
14	3	8	disks
15	3	9	disks
16	3	10	disks
22	3	14	disks
13	3	\N	disks
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
4	multinode	operational	neutron	roles	centos-neutron-simple	1	{}	{}	f
3	ha_compact	deployment	neutron	roles	test3	1	{}	{}	f
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.108.0.3	10.108.0.127
21	10	10.108.1.2	10.108.1.128
23	11	10.108.2.2	10.108.2.254
25	12	10.108.3.2	10.108.3.254
34	13	10.108.7.2	10.108.7.128
36	14	10.108.8.2	10.108.8.254
38	15	10.108.9.2	10.108.9.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.108.0.2
32	10	\N	10.108.1.2
33	11	\N	10.108.2.2
35	1	8	10.108.0.4
36	1	9	10.108.0.5
37	1	10	10.108.0.6
39	11	8	10.108.2.4
40	11	9	10.108.2.5
41	11	10	10.108.2.6
43	10	8	10.108.1.4
44	10	9	10.108.1.5
45	10	10	10.108.1.6
47	12	8	10.108.3.3
48	12	9	10.108.3.4
49	12	10	10.108.3.5
50	1	11	10.108.0.7
51	1	12	10.108.0.8
52	1	13	10.108.0.9
62	14	11	10.108.8.2
63	14	12	10.108.8.3
64	14	13	10.108.8.4
65	13	11	10.108.7.2
66	13	12	10.108.7.3
67	13	13	10.108.7.4
68	15	11	10.108.9.2
69	15	12	10.108.9.3
70	15	13	10.108.9.4
71	1	14	10.108.0.10
72	11	14	10.108.2.7
73	10	14	10.108.1.7
74	12	14	10.108.3.6
\.


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
77	1	42
78	10	41
81	1	47
82	10	46
83	12	45
84	12	40
85	11	39
87	1	52
88	10	51
89	11	44
91	12	50
92	11	49
108	1	62
109	1	57
110	13	56
111	13	61
112	1	67
113	16	55
114	16	60
115	13	66
116	15	54
117	15	59
118	16	65
119	14	53
120	14	58
121	15	64
122	14	63
127	1	72
128	10	71
129	12	70
130	11	69
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, vlan_start, cidr, gateway, meta) FROM stdin;
1	fuelweb_admin	\N	\N	\N	10.108.0.0/24	\N	{"notation": "cidr", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": false, "render_addr_mask": null, "map_priority": 0}
16	private	1	4	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}
11	management	1	3	101	10.108.2.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
12	storage	1	3	102	10.108.3.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
10	public	1	3	\N	10.108.1.0/24	10.108.1.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
13	public	1	4	\N	10.108.7.0/24	10.108.7.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
14	management	1	4	\N	10.108.8.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
15	storage	1	4	\N	10.108.9.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
\.


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
3	neutron_config	3	["8.8.4.4", "8.8.8.8"]	[["10.108.1.130", "10.108.1.224"]]
4	neutron_config	4	["8.8.4.4", "8.8.8.8"]	[["10.108.7.130", "10.108.7.224"]]
\.


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
3	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	10.108.4.0/24	10.108.4.1	gre	ovs
4	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	10.108.24.0/24	10.108.24.1	vlan	ovs
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
10	10	[{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 32204}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 133284}], "type": "vg", "id": "vm"}]	{}
13	13	[{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 32204}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}]	{}
8	8	[{"name": "vda", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 32140}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 34534}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 16102}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50572}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 66546}], "type": "vg", "id": "image"}]	{}
9	9	[{"name": "vda", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 32140}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 34534}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 16102}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50572}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 66546}], "type": "vg", "id": "image"}]	{}
14	14	[{"name": "vda", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 32140}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 64, "size": 34534}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 16102}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "cinder", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50572}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 66546}], "type": "vg", "id": "image"}]	{}
11	11	[{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 32204}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 133284}], "type": "vg", "id": "image"}]	{}
12	12	[{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 18496}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 32204}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 50636}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 133284}], "type": "vg", "id": "vm"}]	{}
15	15	[{"name": "vda", "extra": [], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}]	{}
\.


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
58	12	eth4	64:6c:68:42:f8:21	\N	\N	\N	\N	up	\N
59	12	eth3	64:08:65:be:ed:8a	\N	\N	\N	\N	up	\N
60	12	eth2	64:b2:b9:b6:e1:64	\N	\N	\N	\N	up	\N
61	12	eth1	64:61:2a:16:56:d1	\N	\N	\N	\N	up	\N
62	12	eth0	64:c6:76:7b:3e:40	\N	\N	10.108.0.8	255.255.255.0	up	\N
68	14	eth4	64:5a:31:62:6a:19	\N	\N	\N	\N	up	\N
69	14	eth3	64:37:f5:4b:67:57	\N	\N	\N	\N	up	\N
70	14	eth2	64:39:68:30:45:dd	\N	\N	\N	\N	up	\N
71	14	eth1	64:7a:7f:98:bd:5c	\N	\N	\N	\N	up	\N
72	14	eth0	64:9c:d5:62:af:61	\N	\N	10.108.0.242	255.255.255.0	up	\N
38	8	eth4	64:3c:91:fa:cf:c3	\N	\N	\N	\N	up	\N
39	8	eth3	64:6e:20:22:f9:92	\N	\N	\N	\N	up	\N
40	8	eth2	64:31:23:60:bb:d8	\N	\N	\N	\N	up	\N
41	8	eth1	64:8b:51:e1:1c:6f	\N	\N	\N	\N	up	\N
42	8	eth0	64:d2:ab:e4:7e:53	\N	\N	10.108.0.179	255.255.255.0	up	\N
48	10	eth4	64:fa:31:db:af:07	\N	\N	\N	\N	up	\N
49	10	eth3	64:2b:3b:9d:78:79	\N	\N	\N	\N	up	\N
50	10	eth2	64:46:9c:df:11:24	\N	\N	\N	\N	up	\N
51	10	eth1	64:2d:dc:31:8e:53	\N	\N	\N	\N	up	\N
52	10	eth0	64:a7:3a:72:54:43	\N	\N	10.108.0.208	255.255.255.0	up	\N
63	13	eth4	64:31:f7:bd:a7:b7	\N	\N	\N	\N	up	\N
64	13	eth3	64:a2:38:dc:4e:6c	\N	\N	\N	\N	up	\N
65	13	eth2	64:73:7e:fd:66:f9	\N	\N	\N	\N	up	\N
66	13	eth1	64:83:d7:de:29:80	\N	\N	\N	\N	up	\N
67	13	eth0	64:6e:65:eb:d4:ac	\N	\N	10.108.0.9	255.255.255.0	up	\N
53	11	eth4	64:eb:73:73:54:e8	\N	\N	\N	\N	up	\N
54	11	eth3	64:ab:d8:93:d5:e5	\N	\N	\N	\N	up	\N
55	11	eth2	64:94:d0:ca:2f:ae	\N	\N	\N	\N	up	\N
56	11	eth1	64:e7:7a:9e:64:36	\N	\N	\N	\N	up	\N
57	11	eth0	64:6d:bb:c8:87:db	\N	\N	10.108.0.7	255.255.255.0	up	\N
73	15	eth4	64:ef:fe:96:5b:7b	\N	\N	\N	\N	up	\N
74	15	eth3	64:fb:65:a1:a4:78	\N	\N	\N	\N	up	\N
75	15	eth2	64:2a:49:12:83:3d	\N	\N	\N	\N	up	\N
76	15	eth1	64:12:f8:01:73:ba	\N	\N	\N	\N	up	\N
77	15	eth0	64:cf:80:35:ad:2a	\N	\N	10.108.0.147	255.255.255.0	up	\N
43	9	eth4	64:d0:7c:fc:6e:a4	\N	\N	\N	\N	up	\N
44	9	eth3	64:16:7d:d2:61:b6	\N	\N	\N	\N	up	\N
45	9	eth2	64:35:49:57:f6:65	\N	\N	\N	\N	up	\N
46	9	eth1	64:6b:76:3d:0c:dc	\N	\N	\N	\N	up	\N
47	9	eth0	64:fb:1f:a2:ba:1a	\N	\N	10.108.0.164	255.255.255.0	up	\N
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
20	1	11
21	2	12
22	3	13
25	1	8
26	3	8
27	1	9
28	3	9
29	2	10
30	1	14
31	3	14
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum) FROM stdin;
9	2627899a-6cf6-432d-b39f-cf0fd8548db5	3	Untitled (ba:1a)	provisioning	{"system": {"product": "Bochs", "fqdn": "bootstrap", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:D0:7C:FC:6E:A4", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:16:7D:D2:61:B6", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:35:49:57:F6:65", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:6B:76:3D:0C:DC", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.0.164", "netmask": "255.255.255.0", "mac": "64:FB:1F:A2:BA:1A", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	64:fb:1f:a2:ba:1a	10.108.0.164	node-9.test.domain.local	Bochs	Bochs	12	centos	f	f	\N	\N	2014-04-15 13:21:13.667682	t	bb93343f10383ff93e1b9587f28af6f5e8f363be
11	8542bf9b-68e9-41dc-8938-9788130b3450	4	Untitled (87:db)	ready	{"system": {"product": "Bochs", "fqdn": "node-11", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:EB:73:73:54:E8", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:AB:D8:93:D5:E5", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:94:D0:CA:2F:AE", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:E7:7A:9E:64:36", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"mac": "64:6D:BB:C8:87:DB", "max_speed": null, "state": "up", "current_speed": null, "name": "eth0"}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	82:50:15:e7:62:40	10.108.0.7	node-11.test.domain.local	Bochs	Bochs	100	centos	f	f	\N	\N	2014-04-15 13:23:20.246456	t	88f3eb461d93ab2b59fafe09b7f2ef3939075001
12	fb8acb91-242c-45df-a240-cbef45c73481	4	Untitled (3e:40)	ready	{"system": {"product": "Bochs", "fqdn": "node-12", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:6C:68:42:F8:21", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:08:65:BE:ED:8A", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:B2:B9:B6:E1:64", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:61:2A:16:56:D1", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"mac": "64:C6:76:7B:3E:40", "max_speed": null, "state": "up", "current_speed": null, "name": "eth0"}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	3e:b5:74:b4:45:46	10.108.0.8	node-12.test.domain.local	Bochs	Bochs	100	centos	f	f	\N	\N	2014-04-15 13:22:12.158979	t	00c12bf1e2e6fa5ebe345a59e08fe211bd2fdb27
8	59c51a5e-67fb-44d8-ace0-a819dc14b50e	3	Untitled (7e:53)	provisioning	{"system": {"product": "Bochs", "fqdn": "bootstrap", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:3C:91:FA:CF:C3", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:6E:20:22:F9:92", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:31:23:60:BB:D8", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:8B:51:E1:1C:6F", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.0.179", "netmask": "255.255.255.0", "mac": "64:D2:AB:E4:7E:53", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	64:d2:ab:e4:7e:53	10.108.0.179	node-8.test.domain.local	Bochs	Bochs	13	centos	f	f	deploy	\N	2014-04-15 13:21:10.517223	t	05d6a9114609e3396d466d40afde569430f2032f
10	da0b3f2e-328f-4074-892b-4be7fca99e14	3	Untitled (54:43)	provisioning	{"system": {"product": "Bochs", "fqdn": "bootstrap", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:FA:31:DB:AF:07", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:2B:3B:9D:78:79", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:46:9C:DF:11:24", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:2D:DC:31:8E:53", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.0.208", "netmask": "255.255.255.0", "mac": "64:A7:3A:72:54:43", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	64:a7:3a:72:54:43	10.108.0.208	node-10.test.domain.local	Bochs	Bochs	12	centos	f	f	deploy	\N	2014-04-15 13:21:19.63177	t	06f37841f51a9d0a4db1c4324a3674e847353cba
14	533d8390-7462-47c4-91cc-8112847b2f69	3	Untitled (af:61)	provisioning	{"system": {"product": "Bochs", "fqdn": "bootstrap", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:5A:31:62:6A:19", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:37:F5:4B:67:57", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:39:68:30:45:DD", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:7A:7F:98:BD:5C", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.0.242", "netmask": "255.255.255.0", "mac": "64:9C:D5:62:AF:61", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	64:9c:d5:62:af:61	10.108.0.242	node-14.test.domain.local	Bochs	Bochs	14	centos	f	f	\N	\N	2014-04-15 13:21:05.388352	t	cea12f9a50635f3e3248ae72a521fb435cdbdcec
13	b48d7231-98cc-4fe3-9785-ad4c2d70912a	4	Untitled (d4:ac)	ready	{"system": {"product": "Bochs", "fqdn": "node-13", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:31:F7:BD:A7:B7", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:A2:38:DC:4E:6C", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:73:7E:FD:66:F9", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:83:D7:DE:29:80", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"mac": "64:6E:65:EB:D4:AC", "max_speed": null, "state": "up", "current_speed": null, "name": "eth0"}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	46:b9:4a:ff:d0:4e	10.108.0.9	node-13.test.domain.local	Bochs	Bochs	100	centos	f	f	\N	\N	2014-04-15 13:22:22.483543	t	ed7519b85f378878bccf7c01c6ed7e84fb4a6ca3
15	04e02785-ae23-43fd-a2dd-4bc4e42b6de5	\N	Untitled (ad:2a)	discover	{"system": {"product": "Bochs", "fqdn": "bootstrap", "manufacturer": "Bochs"}, "interfaces": [{"mac": "64:EF:FE:96:5B:7B", "max_speed": null, "state": "up", "current_speed": null, "name": "eth4"}, {"mac": "64:FB:65:A1:A4:78", "max_speed": null, "state": "up", "current_speed": null, "name": "eth3"}, {"mac": "64:2A:49:12:83:3D", "max_speed": null, "state": "up", "current_speed": null, "name": "eth2"}, {"mac": "64:12:F8:01:73:BA", "max_speed": null, "state": "up", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "up", "ip": "10.108.0.147", "mac": "64:CF:80:35:AD:2A", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"name": "vdc", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 53687091200}, {"name": "vdb", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 53687091200}, {"name": "vda", "extra": [], "removable": "0", "model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel Xeon E312xx (Sandy Bridge)", "frequency": 3499}]}, "memory": {"slots": 1, "total": 1610612736, "maximum_capacity": 1610612736, "devices": [{"type": "RAM", "size": 1610612736}]}}	64:cf:80:35:ad:2a	10.108.0.147	\N	Bochs	Bochs	0	centos	f	f	\N	\N	2014-04-15 13:23:12.74009	t	64a721c784862aebd1610a898c0213c92f11c90c
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
57	4	\N	\N	done	Deployment of environment 'centos-neutron-simple' was successfully stopped	read	2014-04-15 10:31:40.563502
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-04-14 14:32:57.570206
2	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-14 17:37:41.849038
3	\N	\N	\N	done	Deployment of environment 'OneNodeDeploy' is done. Access the OpenStack dashboard (Horizon) at http://10.108.1.2/ or via internal network at http://10.108.0.3/	read	2014-04-14 17:47:59.405531
36	\N	\N	\N	done	Successfully removed 1 node(s)	read	2014-04-14 14:54:15.119339
37	\N	\N	\N	done	Environment 'OneNodeDeploy' and all its nodes are deleted	read	2014-04-14 14:54:15.188926
58	\N	12	\N	discover	Node 'Untitled (3e:40)' is back online	read	2014-04-15 10:32:33.44046
59	\N	13	\N	discover	Node 'Untitled (d4:ac)' is back online	read	2014-04-15 10:32:50.853544
60	\N	11	\N	discover	Node 'Untitled (87:db)' is back online	read	2014-04-15 10:32:54.468386
62	\N	15	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 11:00:41.240288
61	\N	\N	\N	error	Node 'Untitled (b6:6c)' has gone away	read	2014-04-15 10:59:03.70473
47	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:25:07.647951
38	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-14 14:55:01.985252
39	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-14 14:55:30.9064
40	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-14 14:55:31.18036
41	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-14 14:55:36.163325
42	\N	\N	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-14 14:55:44.815684
43	\N	\N	\N	done	Deployment of environment 'Centos_with_ceph' is done. Access the OpenStack dashboard (Horizon) at http://10.108.1.2/	read	2014-04-14 15:56:23.224003
44	\N	\N	\N	error	Node 'Untitled (ad:2a)' has gone away	read	2014-04-15 09:23:27.635157
45	\N	\N	\N	done	Successfully removed 4 node(s)	read	2014-04-15 09:24:35.695592
46	\N	\N	\N	done	Environment 'Centos_with_ceph' and all its nodes are deleted	read	2014-04-15 09:24:35.846719
48	\N	8	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:25:11.338764
49	\N	9	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:25:12.421097
50	\N	10	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:25:28.78969
51	\N	11	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:49:38.454138
52	\N	12	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:49:44.072355
53	\N	13	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:49:47.427841
54	\N	14	\N	discover	New node is discovered: 1 CPUs / 1.5 GB RAM / 0.161 TB HDD 	read	2014-04-15 09:49:48.340804
55	\N	11	\N	error	Node 'Untitled (87:db)' has gone away	read	2014-04-15 10:00:30.009474
56	\N	11	\N	discover	Node 'Untitled (87:db)' is back online	read	2014-04-15 10:01:31.88326
63	4	\N	\N	done	Deployment of environment 'centos-neutron-simple' is done. Access the OpenStack dashboard (Horizon) at http://10.108.7.2/ or via internal network at http://10.108.0.7/	read	2014-04-15 11:08:41.486625
64	3	\N	\N	error	Deployment has failed. Error occurred while running method 'deploy'. Inspect Orchestrator logs for the details.	read	2014-04-15 12:17:02.727215
65	3	\N	\N	done	Environment 'test3' was successfully reset	unread	2014-04-15 13:19:35.934575
66	\N	14	\N	discover	Node 'Untitled (af:61)' is back online	unread	2014-04-15 13:20:39.86778
67	\N	8	\N	discover	Node 'Untitled (7e:53)' is back online	unread	2014-04-15 13:20:43.950057
68	\N	10	\N	discover	Node 'Untitled (54:43)' is back online	unread	2014-04-15 13:20:56.153257
69	\N	9	\N	discover	Node 'Untitled (ba:1a)' is back online	unread	2014-04-15 13:20:59.149814
\.


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Havana on CentOS 6.5	2013.2.2	This option will install the OpenStack Havana packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_vlan_tag": "fixed_networks_vlan_start", "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "assign_vip": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"weight": 35, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"weight": 70, "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "value": "2", "label": "Ceph object replication factor"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60}}, "access": {"user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "metadata": {"weight": 10}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 45, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature (Neutron only)"}, "metadata": {"enabled": false, "weight": 40, "toggleable": true}}}}	{"volumes_roles_mapping": {"controller-ceph-image": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
2	Havana on Ubuntu 12.04	2013.2.2	This option will install the OpenStack Havana packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_vlan_tag": "fixed_networks_vlan_start", "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "assign_vip": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"access": {"user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "metadata": {"weight": 10}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50}}, "additional_components": {"murano": {"description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "depends": [{"cluster:net_provider": "neutron"}], "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20}}, "storage": {"volumes_ceph": {"description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "conflicts": [{"settings:storage.volumes_lvm.value": true}], "type": "checkbox"}, "objects_ceph": {"description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "depends": [{"settings:storage.images_ceph.value": true}], "type": "checkbox"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "conflicts": [{"settings:storage.volumes_ceph.value": true}], "type": "checkbox"}, "osd_pool_size": {"value": "2", "type": "text", "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "label": "Ceph object replication factor"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "label": "Ceph RBD for images (Glance)"}, "metadata": {"weight": 60}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30}}}}	{"volumes_roles_mapping": {"controller-ceph-image": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	2	controller
6	2	compute
7	2	cinder
8	2	ceph-osd
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
49	3	0d99919f-70c1-4ea0-81ae-11215b810747	deploy	\N	running	3	{}	{}	\N	1
52	3	b1182f99-ebd4-4592-8336-0584f8972ca5	provision	\N	running	12	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "b1182f99-ebd4-4592-8336-0584f8972ca5", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "8", "interfaces": {"eth4": {"static": "0", "mac_address": "64:3c:91:fa:cf:c3"}, "eth3": {"static": "0", "mac_address": "64:6e:20:22:f9:92"}, "eth2": {"static": "0", "mac_address": "64:31:23:60:bb:d8"}, "eth1": {"static": "0", "mac_address": "64:8b:51:e1:1c:6f"}, "eth0": {"ip_address": "10.108.0.4", "dns_name": "node-8.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:d2:ab:e4:7e:53"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:d2:ab:e4:7e:53_eth0,64:8b:51:e1:1c:6f_eth1,64:31:23:60:bb:d8_eth2,64:6e:20:22:f9:92_eth3,64:3c:91:fa:cf:c3_eth4", "netcfg/choose_interface": "64:d2:ab:e4:7e:53"}, "power_address": "10.108.0.179", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32140, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 34534, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}, {"size": 16102, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "cinder"}, {"size": 50572, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 66546, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-8", "hostname": "node-8.test.domain.local", "slave_name": "node-8", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "9", "interfaces": {"eth4": {"static": "0", "mac_address": "64:d0:7c:fc:6e:a4"}, "eth3": {"static": "0", "mac_address": "64:16:7d:d2:61:b6"}, "eth2": {"static": "0", "mac_address": "64:35:49:57:f6:65"}, "eth1": {"static": "0", "mac_address": "64:6b:76:3d:0c:dc"}, "eth0": {"ip_address": "10.108.0.5", "dns_name": "node-9.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:fb:1f:a2:ba:1a"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:fb:1f:a2:ba:1a_eth0,64:6b:76:3d:0c:dc_eth1,64:35:49:57:f6:65_eth2,64:16:7d:d2:61:b6_eth3,64:d0:7c:fc:6e:a4_eth4", "netcfg/choose_interface": "64:fb:1f:a2:ba:1a"}, "power_address": "10.108.0.164", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32140, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 34534, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}, {"size": 16102, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "cinder"}, {"size": 50572, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 66546, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-9", "hostname": "node-9.test.domain.local", "slave_name": "node-9", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "10", "interfaces": {"eth4": {"static": "0", "mac_address": "64:fa:31:db:af:07"}, "eth3": {"static": "0", "mac_address": "64:2b:3b:9d:78:79"}, "eth2": {"static": "0", "mac_address": "64:46:9c:df:11:24"}, "eth1": {"static": "0", "mac_address": "64:2d:dc:31:8e:53"}, "eth0": {"ip_address": "10.108.0.6", "dns_name": "node-10.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:a7:3a:72:54:43"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:a7:3a:72:54:43_eth0,64:2d:dc:31:8e:53_eth1,64:46:9c:df:11:24_eth2,64:2b:3b:9d:78:79_eth3,64:fa:31:db:af:07_eth4", "netcfg/choose_interface": "64:a7:3a:72:54:43"}, "power_address": "10.108.0.208", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32204, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 133284, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-10", "hostname": "node-10.test.domain.local", "slave_name": "node-10", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "14", "interfaces": {"eth4": {"static": "0", "mac_address": "64:5a:31:62:6a:19"}, "eth3": {"static": "0", "mac_address": "64:37:f5:4b:67:57"}, "eth2": {"static": "0", "mac_address": "64:39:68:30:45:dd"}, "eth1": {"static": "0", "mac_address": "64:7a:7f:98:bd:5c"}, "eth0": {"ip_address": "10.108.0.10", "dns_name": "node-14.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:9c:d5:62:af:61"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:9c:d5:62:af:61_eth0,64:7a:7f:98:bd:5c_eth1,64:39:68:30:45:dd_eth2,64:37:f5:4b:67:57_eth3,64:5a:31:62:6a:19_eth4", "netcfg/choose_interface": "64:9c:d5:62:af:61"}, "power_address": "10.108.0.242", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32140, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 34534, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}, {"size": 16102, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50508, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "cinder"}, {"size": 50572, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 66546, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-14", "hostname": "node-14.test.domain.local", "slave_name": "node-14", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	49	0.40000000000000002
53	3	32d7654a-f683-472d-93a3-0d155aeadd27	deployment	\N	running	0	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "32d7654a-f683-472d-93a3-0d155aeadd27", "deployment_info": [{"use_cow_images": true, "uid": "8", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "6977853849", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 700, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "cinder", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.4/24"]}, "br-storage": {"IP": ["10.108.3.3/24"]}, "br-mgmt": {"IP": ["10.108.2.4/24"]}, "br-ex": {"IP": ["10.108.1.4/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-8.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}, {"use_cow_images": true, "uid": "8", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "6977853849", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 400, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "primary-controller", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.4/24"]}, "br-storage": {"IP": ["10.108.3.3/24"]}, "br-mgmt": {"IP": ["10.108.2.4/24"]}, "br-ex": {"IP": ["10.108.1.4/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-8.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}, {"use_cow_images": true, "uid": "9", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "6977853849", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 700, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "cinder", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.5/24"]}, "br-storage": {"IP": ["10.108.3.4/24"]}, "br-mgmt": {"IP": ["10.108.2.5/24"]}, "br-ex": {"IP": ["10.108.1.5/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-9.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}, {"use_cow_images": true, "uid": "9", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "6977853849", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 500, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "controller", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.5/24"]}, "br-storage": {"IP": ["10.108.3.4/24"]}, "br-mgmt": {"IP": ["10.108.2.5/24"]}, "br-ex": {"IP": ["10.108.1.5/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-9.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}, {"use_cow_images": true, "uid": "10", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 700, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "compute", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.6/24"]}, "br-storage": {"IP": ["10.108.3.5/24"]}, "br-mgmt": {"IP": ["10.108.2.6/24"]}, "br-ex": {"IP": ["10.108.1.6/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-10.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}, {"use_cow_images": true, "uid": "14", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "6977853849", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 700, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "cinder", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.10/24"]}, "br-storage": {"IP": ["10.108.3.6/24"]}, "br-mgmt": {"IP": ["10.108.2.7/24"]}, "br-ex": {"IP": ["10.108.1.7/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-14.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}, {"use_cow_images": true, "uid": "14", "management_vip": "10.108.2.2", "public_vip": "10.108.1.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "XjGxkOb7", "user_password": "1uRCtftl", "enabled": true}, "mysql": {"root_password": "2zELKemE"}, "quantum": true, "glance": {"image_cache_max_size": "6977853849", "user_password": "lFaEKXYw", "db_password": "msX1ORcd"}, "cinder": {"db_password": "dscyd5vo", "user_password": "K3NcpCzo"}, "quantum_settings": {"database": {"passwd": "PXAgSBuM"}, "keystone": {"admin_password": "Jv4nwJF0"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.1.0/24", "floating": "10.108.1.130:10.108.1.224", "gateway": "10.108.1.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.4.0/24", "floating": null, "gateway": "10.108.4.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "1J6ybyBH"}}, "swift": {"user_password": "4s08Cl50"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "MQuatCdq", "user_password": "CaknOZHG", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 600, "murano": {"db_password": "rwjFWs2g", "user_password": "GBhDi0F9", "enabled": true, "rabbit_password": "eQ4ljiee"}, "role": "controller", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "HMmRDNVE", "admin_token": "4NjL97sj"}, "nodes": [{"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "10.108.1.4", "internal_netmask": "255.255.255.0", "fqdn": "node-8.test.domain.local", "role": "primary-controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.4", "storage_address": "10.108.3.3", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "10.108.1.5", "internal_netmask": "255.255.255.0", "fqdn": "node-9.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.5", "storage_address": "10.108.3.4", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "10.108.1.6", "internal_netmask": "255.255.255.0", "fqdn": "node-10.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.6", "storage_address": "10.108.3.5", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "10.108.1.7", "internal_netmask": "255.255.255.0", "fqdn": "node-14.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.2.7", "storage_address": "10.108.3.6", "storage_netmask": "255.255.255.0", "name": "node-14"}], "nova_quota": false, "ceilometer": {"db_password": "ETTz1YCB", "user_password": "KzUUJK7X", "metering_secret": "NXJFNCyt", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [102, 0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth3", "br-mgmt"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.10/24"]}, "br-storage": {"IP": ["10.108.3.6/24"]}, "br-mgmt": {"IP": ["10.108.2.7/24"]}, "br-ex": {"IP": ["10.108.1.7/24"], "gateway": "10.108.1.1"}}}, "heat": {"db_password": "mCvbrn8Y", "user_password": "o8jYTcDW", "enabled": true, "rabbit_password": "blFhjrQV"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "Zozd1nxy"}, "use_cinder": true, "management_network_range": "10.108.2.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.3.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "last_controller": "node-14", "fqdn": "node-14.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "deployment_mode": "ha_compact", "debug": true, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 3}]}}	{}	49	1
36	4	2de5bb70-626d-4678-8c91-edc38c347821	check_dhcp		ready	0	{}	{}	35	1
54	\N	3aa423e5-56bf-4b8d-8664-35f8395ca6b7	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "3aa423e5-56bf-4b8d-8664-35f8395ca6b7", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
41	4	f36c208e-c34c-4b19-9891-8623dcd0a3f6	deployment	Deployment of environment 'centos-neutron-simple' is done. Access the OpenStack dashboard (Horizon) at http://10.108.7.2/ or via internal network at http://10.108.0.7/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "f36c208e-c34c-4b19-9891-8623dcd0a3f6", "deployment_info": [{"use_cow_images": true, "uid": "11", "management_vip": "10.108.8.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "9G5xEBtO", "user_password": "W2A8GvRE", "enabled": true}, "mysql": {"root_password": "IFSLRNNO"}, "quantum": true, "glance": {"image_cache_max_size": "13975840358", "user_password": "CU4fXqw7", "db_password": "NUHEFHVf"}, "cinder": {"db_password": "WUa22xjy", "user_password": "opsbF0qC"}, "quantum_settings": {"database": {"passwd": "wtp1f67P"}, "keystone": {"admin_password": "D5oisHSM"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "1000:1030"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.7.0/24", "floating": "10.108.7.130:10.108.7.224", "gateway": "10.108.7.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.24.0/24", "floating": null, "gateway": "10.108.24.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "NOIggQNE"}}, "swift": {"user_password": "6jlZigka"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "PGJ7fRYB", "user_password": "YpBQ7cuv", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 100, "murano": {"db_password": "UtfM8ULt", "user_password": "QTuxhwYJ", "enabled": true, "rabbit_password": "Wo1tC8Ha"}, "role": "controller", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "ruK1p6Cx", "admin_token": "JDL0V9uG"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "11", "public_address": "10.108.7.2", "internal_netmask": "255.255.255.0", "fqdn": "node-11.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.2", "storage_address": "10.108.9.2", "name": "node-11"}, {"storage_netmask": "255.255.255.0", "uid": "12", "public_address": "10.108.7.3", "internal_netmask": "255.255.255.0", "fqdn": "node-12.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.3", "storage_address": "10.108.9.3", "name": "node-12"}, {"storage_netmask": "255.255.255.0", "uid": "13", "public_address": "10.108.7.4", "internal_netmask": "255.255.255.0", "fqdn": "node-13.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.4", "storage_address": "10.108.9.4", "name": "node-13"}], "nova_quota": false, "ceilometer": {"db_password": "snUa5beQ", "user_password": "fp0Wo5xF", "metering_secret": "xv4IV8Ip", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth4", "br-mgmt"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.7/24"]}, "br-storage": {"IP": ["10.108.9.2/24"]}, "br-ex": {"IP": ["10.108.7.2/24"], "gateway": "10.108.7.1"}, "br-mgmt": {"IP": ["10.108.8.2/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "8dEWgb7A", "user_password": "eOtFfBRm", "enabled": true, "rabbit_password": "G0XbiQwj"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "JgKHg5eJ"}, "use_cinder": true, "management_network_range": "10.108.8.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.9.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "fqdn": "node-11.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "deployment_mode": "multinode", "debug": false, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 4}, {"use_cow_images": true, "uid": "12", "management_vip": "10.108.8.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "9G5xEBtO", "user_password": "W2A8GvRE", "enabled": true}, "mysql": {"root_password": "IFSLRNNO"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "CU4fXqw7", "db_password": "NUHEFHVf"}, "cinder": {"db_password": "WUa22xjy", "user_password": "opsbF0qC"}, "quantum_settings": {"database": {"passwd": "wtp1f67P"}, "keystone": {"admin_password": "D5oisHSM"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "1000:1030"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.7.0/24", "floating": "10.108.7.130:10.108.7.224", "gateway": "10.108.7.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.24.0/24", "floating": null, "gateway": "10.108.24.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "NOIggQNE"}}, "swift": {"user_password": "6jlZigka"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "PGJ7fRYB", "user_password": "YpBQ7cuv", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 200, "murano": {"db_password": "UtfM8ULt", "user_password": "QTuxhwYJ", "enabled": true, "rabbit_password": "Wo1tC8Ha"}, "role": "compute", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "ruK1p6Cx", "admin_token": "JDL0V9uG"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "11", "public_address": "10.108.7.2", "internal_netmask": "255.255.255.0", "fqdn": "node-11.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.2", "storage_address": "10.108.9.2", "name": "node-11"}, {"storage_netmask": "255.255.255.0", "uid": "12", "public_address": "10.108.7.3", "internal_netmask": "255.255.255.0", "fqdn": "node-12.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.3", "storage_address": "10.108.9.3", "name": "node-12"}, {"storage_netmask": "255.255.255.0", "uid": "13", "public_address": "10.108.7.4", "internal_netmask": "255.255.255.0", "fqdn": "node-13.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.4", "storage_address": "10.108.9.4", "name": "node-13"}], "nova_quota": false, "ceilometer": {"db_password": "snUa5beQ", "user_password": "fp0Wo5xF", "metering_secret": "xv4IV8Ip", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth4", "br-mgmt"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.8/24"]}, "br-storage": {"IP": ["10.108.9.3/24"]}, "br-ex": {"IP": ["10.108.7.3/24"], "gateway": "10.108.7.1"}, "br-mgmt": {"IP": ["10.108.8.3/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "8dEWgb7A", "user_password": "eOtFfBRm", "enabled": true, "rabbit_password": "G0XbiQwj"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "JgKHg5eJ"}, "use_cinder": true, "management_network_range": "10.108.8.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.9.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "fqdn": "node-12.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "deployment_mode": "multinode", "debug": false, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 4}, {"use_cow_images": true, "uid": "13", "management_vip": "10.108.8.2", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50}}, "libvirt_type": "qemu", "sahara": {"db_password": "9G5xEBtO", "user_password": "W2A8GvRE", "enabled": true}, "mysql": {"root_password": "IFSLRNNO"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "CU4fXqw7", "db_password": "NUHEFHVf"}, "cinder": {"db_password": "WUa22xjy", "user_password": "opsbF0qC"}, "quantum_settings": {"database": {"passwd": "wtp1f67P"}, "keystone": {"admin_password": "D5oisHSM"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": "1000:1030"}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "vlan"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "10.108.7.0/24", "floating": "10.108.7.130:10.108.7.224", "gateway": "10.108.7.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "vlan", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "10.108.24.0/24", "floating": null, "gateway": "10.108.24.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "NOIggQNE"}}, "swift": {"user_password": "6jlZigka"}, "storage": {"volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "pg_num": 128, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60}}, "nova": {"db_password": "PGJ7fRYB", "user_password": "YpBQ7cuv", "state_path": "/var/lib/nova"}, "master_ip": "10.108.0.2", "priority": 200, "murano": {"db_password": "UtfM8ULt", "user_password": "QTuxhwYJ", "enabled": true, "rabbit_password": "Wo1tC8Ha"}, "role": "cinder", "vlan_splinters": {"vswitch": "disabled", "metadata": {"enabled": false, "toggleable": true, "weight": 40}}, "online": true, "keystone": {"db_password": "ruK1p6Cx", "admin_token": "JDL0V9uG"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "11", "public_address": "10.108.7.2", "internal_netmask": "255.255.255.0", "fqdn": "node-11.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.2", "storage_address": "10.108.9.2", "name": "node-11"}, {"storage_netmask": "255.255.255.0", "uid": "12", "public_address": "10.108.7.3", "internal_netmask": "255.255.255.0", "fqdn": "node-12.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.3", "storage_address": "10.108.9.3", "name": "node-12"}, {"storage_netmask": "255.255.255.0", "uid": "13", "public_address": "10.108.7.4", "internal_netmask": "255.255.255.0", "fqdn": "node-13.test.domain.local", "role": "cinder", "public_netmask": "255.255.255.0", "internal_address": "10.108.8.4", "storage_address": "10.108.9.4", "name": "node-13"}], "nova_quota": false, "ceilometer": {"db_password": "snUa5beQ", "user_password": "fp0Wo5xF", "metering_secret": "xv4IV8Ip", "enabled": true}, "metadata": {"weight": 30}, "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-eth4"}, {"action": "add-port", "bridge": "br-eth4", "name": "eth4"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth3", "br-storage"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth1", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth4", "br-mgmt"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-fw-admin"], "trunks": [0]}, {"action": "add-br", "name": "br-prv"}, {"action": "add-patch", "bridges": ["br-eth2", "br-prv"]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "private": "br-prv", "fw-admin": "br-fw-admin"}, "interfaces": {"eth4": {"L2": {}}, "eth3": {"L2": {}}, "eth2": {"L2": {}}, "eth1": {"L2": {}}, "eth0": {"L2": {}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.108.0.9/24"]}, "br-storage": {"IP": ["10.108.9.4/24"]}, "br-ex": {"IP": ["10.108.7.4/24"], "gateway": "10.108.7.1"}, "br-mgmt": {"IP": ["10.108.8.4/24"]}, "br-prv": {"IP": "none"}}}, "heat": {"db_password": "8dEWgb7A", "user_password": "eOtFfBRm", "enabled": true, "rabbit_password": "G0XbiQwj"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "JgKHg5eJ"}, "use_cinder": true, "management_network_range": "10.108.8.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.0.2"}, "storage_network_range": "10.108.9.0/24", "auth_key": "", "access": {"metadata": {"weight": 10}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "fqdn": "node-13.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "deployment_mode": "multinode", "debug": false, "cobbler": {"profile": "centos-x86_64"}, "deployment_id": 4}]}}	{}	37	1
37	4	166f218e-c251-4c53-bbff-9f9b41d0e69d	deploy	Deployment of environment 'centos-neutron-simple' is done. Access the OpenStack dashboard (Horizon) at http://10.108.7.2/ or via internal network at http://10.108.0.7/	ready	100	{}	{}	\N	1
35	4	c5e5d348-5eea-4623-b08c-13a321390714	verify_networks		ready	100	{"respond_to": "verify_networks_resp", "subtasks": {"check_dhcp": {"task_uuid": "2de5bb70-626d-4678-8c91-edc38c347821", "respond_to": "check_dhcp_resp"}}, "method": "verify_networks", "args": {"task_uuid": "c5e5d348-5eea-4623-b08c-13a321390714", "nodes": [{"uid": 11, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}, {"vlans": [0], "iface": "eth4"}]}, {"uid": 12, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}, {"vlans": [0], "iface": "eth4"}]}, {"uid": 13, "networks": [{"vlans": [0], "iface": "eth0"}, {"vlans": [0], "iface": "eth1"}, {"vlans": [1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1030], "iface": "eth2"}, {"vlans": [0], "iface": "eth3"}, {"vlans": [0], "iface": "eth4"}]}]}}	[]	\N	1
40	4	f9eeb542-af53-46e8-a603-26bcf65f7eea	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "f9eeb542-af53-46e8-a603-26bcf65f7eea", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "11", "interfaces": {"eth4": {"static": "0", "mac_address": "64:eb:73:73:54:e8"}, "eth3": {"static": "0", "mac_address": "64:ab:d8:93:d5:e5"}, "eth2": {"static": "0", "mac_address": "64:94:d0:ca:2f:ae"}, "eth1": {"static": "0", "mac_address": "64:e7:7a:9e:64:36"}, "eth0": {"ip_address": "10.108.0.7", "dns_name": "node-11.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:6d:bb:c8:87:db"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:6d:bb:c8:87:db_eth0,64:e7:7a:9e:64:36_eth1,64:94:d0:ca:2f:ae_eth2,64:ab:d8:93:d5:e5_eth3,64:eb:73:73:54:e8_eth4", "netcfg/choose_interface": "64:6d:bb:c8:87:db"}, "power_address": "10.108.0.145", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32204, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 133284, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-11", "hostname": "node-11.test.domain.local", "slave_name": "node-11", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "12", "interfaces": {"eth4": {"static": "0", "mac_address": "64:6c:68:42:f8:21"}, "eth3": {"static": "0", "mac_address": "64:08:65:be:ed:8a"}, "eth2": {"static": "0", "mac_address": "64:b2:b9:b6:e1:64"}, "eth1": {"static": "0", "mac_address": "64:61:2a:16:56:d1"}, "eth0": {"ip_address": "10.108.0.8", "dns_name": "node-12.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:c6:76:7b:3e:40"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:c6:76:7b:3e:40_eth0,64:61:2a:16:56:d1_eth1,64:b2:b9:b6:e1:64_eth2,64:08:65:be:ed:8a_eth3,64:6c:68:42:f8:21_eth4", "netcfg/choose_interface": "64:c6:76:7b:3e:40"}, "power_address": "10.108.0.229", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32204, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 133284, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-12", "hostname": "node-12.test.domain.local", "slave_name": "node-12", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "centos-x86_64", "name_servers_search": "\\"test.domain.local\\"", "uid": "13", "interfaces": {"eth4": {"static": "0", "mac_address": "64:31:f7:bd:a7:b7"}, "eth3": {"static": "0", "mac_address": "64:a2:38:dc:4e:6c"}, "eth2": {"static": "0", "mac_address": "64:73:7e:fd:66:f9"}, "eth1": {"static": "0", "mac_address": "64:83:d7:de:29:80"}, "eth0": {"ip_address": "10.108.0.9", "dns_name": "node-13.test.domain.local", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:6e:65:eb:d4:ac"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:6e:65:eb:d4:ac_eth0,64:83:d7:de:29:80_eth1,64:73:7e:fd:66:f9_eth2,64:a2:38:dc:4e:6c_eth3,64:31:f7:bd:a7:b7_eth4", "netcfg/choose_interface": "64:6e:65:eb:d4:ac"}, "power_address": "10.108.0.144", "name_servers": "\\"10.108.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 32204, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "extra": [], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 50636, "type": "pv", "lvm_meta_size": 64, "vg": "cinder"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3072, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Cinder", "min_size": 1536, "volumes": [], "type": "vg", "id": "cinder"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "mco_connector": "rabbitmq", "mco_host": "10.108.0.2"}, "name": "node-13", "hostname": "node-13.test.domain.local", "slave_name": "node-13", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	37	0.40000000000000002
\.


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

